%global bundle org.osgi.core

Name:           felix-osgi-core
Version:        1.4.0
Release:        %mkrel 21
Group:          Development/Java
Summary:        Felix OSGi R4 Core Bundle
License:        ASL 2.0
URL:            http://felix.apache.org/site/apache-felix-osgi-core.html
BuildArch:      noarch

Source0:        http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
OSGi Service Platform Release 4 Core Interfaces and Classes.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} "felix/%{bundle}"
%mvn_alias "org.apache.felix:%{bundle}" "org.osgi:%{bundle}"

%build
export LC_ALL=en_US.UTF-8
%mvn_build -- -Drat.numUnapprovedLicenses=50

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Thu May 18 2017 neoclust <neoclust> 1.4.0-21.mga6
+ Revision: 1103079
- Fix BuildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1.4.0-20.mga6
+ Revision: 982560
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.4.0-19.mga6
+ Revision: 976226
- First rebuild of the java stack
- sync package felix-osgi-core with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.4.0-12.mga5
+ Revision: 805604
- Clean rebuild
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-10.mga5
+ Revision: 745395
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.4.0-8.mga4
+ Revision: 558752
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-6.mga3
+ Revision: 350158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 dmorgan <dmorgan> 1.4.0-5.mga3
+ Revision: 266742
- Rebuild to generate mvn() provides
- Extra groupId "org.osgi" added
- Minor spec file changes according to the latest guidelines
- fixing "unmappable character for encoding ANSI_X3.4-1968"
- Build with maven 3 and drop ant buil.xml files.

* Wed Apr 27 2011 dmorgan <dmorgan> 1.4.0-2.mga1
+ Revision: 91962
- Remove buildroot

* Thu Jan 20 2011 dmorgan <dmorgan> 1.4.0-1.mga1
+ Revision: 27559
- fix buildrequire
- Adapt to mga
- imported package felix-osgi-core


* Wed Dec 15 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.0-5
- Remove felix-parent from Requires to prevent pulling maven in

* Tue Dec 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.0-4
- Add felix-parent to Requires (maven builds require this)
- Add license and jpackage-utils Requires to javadoc subpackage
- Use mavenpomdir macro

* Mon Dec 13 2010 Alexander Kurtakov <akurtako@redhat.com> 1.4.0-3
- Fix pom name.
- Adapt to current guidelines.

* Tue Jun 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.4.0-2
- Modify maven-build.xml to include MANIFEST.MF into JAR

* Tue Jun 22 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.4.0-1
- Update felix-osgi-core-1.4.0-build.xml.tar.gz
- Use the macros style
- Release 1.4.0

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-2
- Fix line length.

* Thu Sep 3 2009 Alexander Kurtakov <akurtako@redhat.com> 1.2.0-1
- Initial package.
